

import System;

class sampleException { }

try {
  throw new sampleException();
}
catch (e:sampleException)
{
  Console.WriteLine("Przechwycono wyjątek sampleException - i wywołujemy ponownie...");
  throw ;
}
catch (e:Exception)
{
	Console.WriteLine("Przechwycono wyjątek Exception");
}

Console.WriteLine("Wyjście");
